Bug 1105674 - New Host screen is eating Fog Errors
Summary: New Host screen is eating Fog Errors
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: WebUI
Version: 6.0.3
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Unspecified
Assignee: Greg Sutcliffe
QA Contact: Tazim Kolhar
URL: http://projects.theforeman.org/issues...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-06-06 17:20 UTC by Bryan Kearney
Modified: 2019-09-26 18:13 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Release Note
Doc Text:
For certain compute resources and errors, the UI may not provide enough detail to diagnose why a provision failed. The user will need to check the logs which are located at /var/log/foreman/production.log
Clone Of:
Environment:
Last Closed: 2014-09-11 12:28:08 UTC
Target Upstream Version:


Attachments (Terms of Use)
foreman-debug output (172.49 KB, application/x-xz)
2014-06-06 17:20 UTC, Bryan Kearney
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 6099 0 None None None 2016-04-22 16:37:10 UTC

Description Bryan Kearney 2014-06-06 17:20:43 UTC
Created attachment 902991 [details]
foreman-debug output

See https://bugzilla.redhat.com/show_bug.cgi?id=1105671.

I mis-configrued the ami for my compute resource. When I attempted to create a new host I briefly saw an error, but then the screen was redirected. The only way to debug the issue was to look at the logs. I would have expected an error message on the screen which gave me the error condition. 

The actual logs are attached. Per Greg, the error message was

 "Fog error: The image id '[ami-e08efbd0]' does  not exist"

foreman-compute-1.6.0.13-1.el6sat.noarch
dhcp137-115.rdu.redhat.com-foreman-proxy-1.0-1.noarch
foreman-ovirt-1.6.0.13-1.el6sat.noarch
rubygem-hammer_cli_foreman_tasks-0.0.3-2.el6sat.noarch
foreman-gce-1.6.0.13-1.el6sat.noarch
ruby193-rubygem-foreman_hooks-0.3.5-2.el6sat.noarch
ruby193-rubygem-foreman_bootdisk-2.0.6-1.1.el6sat.noarch
rubygem-hammer_cli_foreman-0.1.1-5.el6sat.noarch
foreman-vmware-1.6.0.13-1.el6sat.noarch
ruby193-rubygem-foreman_discovery-1.3.0-0.1.rc2.el6sat.noarch
foreman-postgresql-1.6.0.13-1.el6sat.noarch
foreman-selinux-1.6.0-3.el6sat.noarch
dhcp137-115.rdu.redhat.com-foreman-client-1.0-1.noarch
ruby193-rubygem-foreman-redhat_access-0.0.4-1.el6sat.noarch
foreman-libvirt-1.6.0.13-1.el6sat.noarch
foreman-proxy-1.6.0.6-1.el6sat.noarch
foreman-1.6.0.13-1.el6sat.noarch
ruby193-rubygem-foreman-tasks-0.5.7-2.el6sat.noarch

Comment 1 Bryan Kearney 2014-06-06 17:21:44 UTC
Created redmine issue http://projects.theforeman.org/issues/6099 from this bug

Comment 3 Bryan Kearney 2014-07-07 14:04:38 UTC
Moving to POST since upstream bug http://projects.theforeman.org/issues/6099 has been closed

Comment 6 Tazim Kolhar 2014-08-27 12:25:57 UTC
please provide verification steps

Comment 7 Daniel Lobato Garcia 2014-09-01 14:07:11 UTC
DEVELOPER VERIFIED: For an existent compute resource on Libvirt, I changed the URL to something unreachable, saved it. When I went to create New Host, changing 'deploy on' to that Libvirt compute resource resulted on the Fog error shown in the Virtual machine tab, no redirections whatsoever.  

Tested on https://cloud-qe-10.idm.lab.bos.redhat.com

Note that editing the URL to something that is not a Compute Resource and saving it should not be possible in future versions of Sat6, but the fact that bug exists makes verifying this easier.

Comment 8 Tazim Kolhar 2014-09-02 06:00:36 UTC
VERIFIED :

error message displayed in Virtual machine tab after the URL in Libvirt is changed

Comment 9 Bryan Kearney 2014-09-11 12:28:08 UTC
This was delivered with Satellite 6.0 which was released on 10 September 2014.


Note You need to log in before you can comment on or make changes to this bug.